using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string str = Console.ReadLine();
            string s = "ABCDEFGHIJKLMNOPQRSTUVWXYZ";
            int br = 0;
            if (n < 26)
                br = 0;
            else if (n == 26)
            {
                if (str == s)
                    br = 1;
            }
            else br = 12732;
            Console.WriteLine(br);
        }
    }
}